Skip to main content
POST
/
accounting
/
{resource}
curl --request POST \
  --url https://api.routemcp.io/api/v1/accounting/{resource} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'X-End-User-Id: <x-end-user-id>' \
  --data '
{
  "type": "ACCOUNTS_RECEIVABLE",
  "contact": "022a2bef-57e5-4def-8285-d68a25d1e36e",
  "number": "AIM-01-2026",
  "issue_date": "2026-04-15",
  "due_date": "2026-05-15",
  "currency": "USD",
  "status": "OPEN",
  "total_amount": 1620,
  "line_items": [
    {
      "description": "Strategy consulting — April 2026",
      "unit_price": 1500,
      "quantity": 1,
      "account": "9d9eaaf6-9f95-4e34-bc03-d33b7b4d2611"
    }
  ],
  "inclusive_of_tax": false
}
'
{
  "success": true,
  "statusCode": 201,
  "message": "Created",
  "data": {
    "data": {
      "id": "urn:uuid:0958cbc6-6040-430a-848e-aafacbadf4ae",
      "remote_id": "EILBM0XYAR1",
      "created_at": "2026-04-15T10:30:00Z",
      "modified_at": "2026-04-16T15:45:00Z",
      "type": "ACCOUNTS_RECEIVABLE",
      "contact": "022a2bef-57e5-4def-8285-d68a25d1e36e",
      "number": "AIM-01-2026",
      "issue_date": "2026-04-15",
      "due_date": "2026-05-15",
      "paid_on_date": null,
      "memo": "Quarterly retainer.",
      "company": "0bb37dc5-2bf3-4c75-95ab-58f06a93a2ac",
      "employee": null,
      "currency": "USD",
      "exchange_rate": "1.00",
      "payment_term": "fb8c55b6-0525-4452-b3b5-d2922d20b212",
      "total_discount": 0,
      "sub_total": 1500,
      "status": "OPEN",
      "total_tax_amount": 120,
      "total_amount": 1620,
      "balance": 1620,
      "remote_updated_at": "2026-04-16T15:45:00Z",
      "tracking_categories": [],
      "accounting_period": "0a3a9f8b-2c2c-4f50-b34a-e7a3e4d56789",
      "purchase_orders": [],
      "sales_orders": [],
      "payments": [],
      "applied_payments": [],
      "line_items": [
        {
          "id": "urn:uuid:5fc63596-d40e-4c73-bee6-26a0e6356f48",
          "remote_id": "8765",
          "description": "Strategy consulting — April 2026",
          "unit_price": 1500,
          "quantity": 1,
          "total_amount": 1500,
          "currency": "USD",
          "account": "9d9eaaf6-9f95-4e34-bc03-d33b7b4d2611",
          "tax_rate": "ee2c8927-d59f-4f89-90e3-4eef5ee43a91",
          "is_billable": true
        }
      ],
      "applied_credit_notes": [],
      "applied_vendor_credits": [],
      "inclusive_of_tax": false,
      "remote_was_deleted": false
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.routemcp.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API key with the Bearer prefix — e.g. Bearer sk_live_xxx (production) or Bearer sk_test_xxx (sandbox)

Headers

X-End-User-Id
string
required

Path Parameters

resource
enum<string>
required
Available options:
invoice,
contact,
account,
payment,
tax_rate,
journal_entry,
expense,
purchase_order,
sales_order,
credit_note,
vendor_credit,
company_info,
item,
tracking_category,
accounting_period,
payment_method,
payment_term,
address,
attachment,
balance_sheet,
bank_feed_account,
bank_feed_transaction,
cash_flow_statement,
employee,
expense_report,
general_ledger_transaction,
income_statement,
item_fulfillment,
phone_number,
project,
transaction

Query Parameters

provider
string
required
Example:

"quickbooks-online"

Body

application/json

Accounting resource body. Pick an example from the dropdown to see the schema for each resource type.

type
enum<string>

AR invoice or AP bill (no separate Bill resource exists).

Available options:
ACCOUNTS_RECEIVABLE,
ACCOUNTS_PAYABLE
Example:

"ACCOUNTS_RECEIVABLE"

contact
string

UUID of the associated contact (customer for AR, vendor for AP).

Example:

"019d04a5-contact-uuid-here"

number
string
Example:

"INV-2026-0001"

issue_date
string
Example:

"2026-05-01"

due_date
string
Example:

"2026-05-31"

paid_on_date
string
Example:

"2026-05-25"

memo
string
Example:

"Net 30 — Q2 services"

company
string
Example:

"019d04a5-2012-7119-bc07-75c081250434"

employee
string
Example:

"019d04a5-employee-uuid"

currency
string
Example:

"USD"

exchange_rate
string
Example:

"1.0"

payment_term
string

UUID of the associated payment term.

Example:

"019d04a5-term-uuid"

total_discount
number
Example:

0

sub_total
number
Example:

1500

status
enum<string>
Available options:
PAID,
DRAFT,
SUBMITTED,
PARTIALLY_PAID,
OPEN,
VOID
Example:

"OPEN"

total_tax_amount
number
Example:

120

total_amount
number
Example:

1620

balance
number

Outstanding balance.

Example:

1620

tracking_categories
string[]
Example:
["019d04a5-class-uuid"]
accounting_period
string
Example:

"019d04a5-period-uuid"

purchase_orders
string[]
Example:
["019d04a5-po-uuid"]
sales_orders
string[]
Example:
["019d04a5-so-uuid"]
line_items
Invoice Line Item · object[]
inclusive_of_tax
boolean
Example:

false

integration_params
object

Provider-specific passthrough fields.

Example:
{ "TxnTaxDetail": { "TotalTax": 120 } }

Response

Resource created successfully